PRO ADOUBLE,a,adbl
compile_opt hidden
on_error,1
if n_params() eq 0 then begin
print,'adouble,a,adbl' &return&endif
;...allocate storage for intermediate and final arrays of double resolution
sizea=size(a) & atype=sizea(3) & mx=sizea(1)-3 & nx=sizea(2)-3
;...select intermediate and final array types
if atype eq 6 then begin
adbi=complexarr(2*mx+3,nx+3) & adbl=complexarr(2*mx+3,2*nx+3)
endif else begin
adbi=fltarr(2*mx+3,nx+3) & adbl=fltarr(2*mx+3,2*nx+3)
endelse
;...double the resolution of the input array (a)
for m=0,mx+1 do begin adbi(2*m,*)=0.5*(a(m,*)+a(m+1,*)) &endfor
for m=0,mx do begin adbi(2*m+1,*)=0.125*(a(m,*)+6.*a(m+1,*)+a(m+2,*)) &endfor
for n=0,nx+1 do begin adbl(*,2*n)=0.5*(adbi(*,n)+adbi(*,n+1)) &endfor
for n=0,nx do begin adbl(*,2*n+1)=0.125*(adbi(*,n)+6.*adbi(*,n+1)+adbi(*,n+2)) &endfor
;...final array (adbl) has double resolution 
END ;ADOUBLE.PRO
