PRO ENHANCEX,wxobs,wxmeso,rxobs,rxmeso,zuv,zuvbc,zgrid,dxyk
compile_opt hidden
on_error,1
if n_params() eq 0 then begin
print,'ENHANCEX,wxobs,wxmeso,rxobs,rxmeso,zuv,zuvbc,zgrid,dxyk'
return & endif

;... boost the mesoscale winds to agree with observed winds for 0 < r < 2*rxmeso
BSTPLX,wxobs,wxmeso,rxmeso,zuv,zuvb,zgrid

;...no contraction if rxmeso=rxobs
if rxmeso eq rxobs then begin zuvbc=zuvb & return &endif

;...construct contracted grid
CTRGRID,rxobs,rxmeso,zgrid,zgridc

;...interpolate boosted and contracted windfield back to regular output grid
REGUL,zgrid,zgridc,float(zuvb),ubc,rxmeso,dxyk
REGUL,zgrid,zgridc,imaginary(zuvb),vbc,rxmeso,dxyk
zuvbc=complex(ubc,vbc)
END ;ENHANCEX.PRO
