PRO LANDMASKI,elon,nlat,bitz
compile_opt hidden
on_error,1
if n_params() eq 0 then begin print,'LANDMASKI,elon,nlat,bitz'
return & endif

;...information gathering
ncols=2*n_elements(elon) & nrows=2*n_elements(nlat)
set_plot,'z' & device,set_resolution=[ncols,nrows]

;...construct land mask for entire analysis
map_set,/isotropic,limit=[min(nlat),min(elon),max(nlat),max(elon)],/noborder,xmargin=[0,0],ymargin=[0,0]
map_continents,/coasts,mlinethick=1,/fill_continents,/hires
bitz=tvrd() & bitz=float(bitz) & ijv=where(bitz ne 0.,ict) & if ict ne 0 then bitz(ijv)=1.
bitz=rebin(bitz,n_elements(elon),n_elements(nlat))
bitz=fix(bitz)
END ;LANDMASKI.PRO
