PRO ZUV2ZA,zuv,za
compile_opt hidden
on_error,1
if n_params() eq 0 then begin
print,'ZUV2ZA,zuv,za' &return&endif
;...initialization
info=size(zuv) & mxx=info(1) & nxx=info(2)
xdiag=fltarr(mxx) & ydiag=fltarr(nxx)
xoffd=xdiag & yoffd=ydiag 
xdiag(*)=1. & ydiag(*)=1. & xdiag(0)=1.5 & ydiag(0)=1.5
xdiag(mxx-1)=1.5 & ydiag(nxx-1)=1.5 & xoffd(*)=.25
yoffd(*)=.25 & xoffd(0)=0. & yoffd(0)=0. 
xoffd(mxx-1)=0. & yoffd(nxx-1)=0. & ua=fltarr(mxx+2,nxx) & va=ua
;...find x-amplitudes for each y
for k=0,nxx-1 do begin
ua(1:mxx,k)=trisol(xoffd,xdiag,xoffd,float(zuv(*,k)))
va(1:mxx,k)=trisol(xoffd,xdiag,xoffd,imaginary(zuv(*,k)))
endfor & za=complex(ua,va)
za(0,*)=2*za(1,*)-za(2,*) & za(mxx+1,*)=2*za(mxx,*)-za(mxx-1,*)
za=transpose(za) & uat=fltarr(nxx+2,mxx+2) & vat=uat
;...find y_amplitudes for each m
for k=0,mxx+1 do begin
uat(1:nxx,k)=trisol(yoffd,ydiag,yoffd,float(za(*,k)))
vat(1:nxx,k)=trisol(yoffd,ydiag,yoffd,imaginary(za(*,k)))
endfor & zat=complex(uat,vat)
zat(0,*)=2*zat(1,*)-zat(2,*) & zat(nxx+1,*)=2*zat(nxx,*)-zat(nxx-1,*)
za=transpose(zat)
END ;ZUV2ZA.PRO
