PRO ISOTACHSX,wind,elon,nlat
compile_opt hidden
on_error,1
if n_params() eq 0 then begin print,'ISOTACHSX,wind,elon,nlat'
return & endif
isoa=[0,5,10,15,20,25,30] & isob=[40,45,50,55,60]
isoc=[70,75,80,85,90,95,100,105,110,115,120,125,130,135,140,145,150,155,160,165,170,175,180,185,190]
contour,wind,elon,nlat,levels=isoa,/follow,/overplot
contour,wind,elon,nlat,levels=34,c_linestyle=0,thick=4,/overplot
contour,wind,elon,nlat,levels=isob,/follow,c_thick=[1,1,4,1,1],/overplot
contour,wind,elon,nlat,levels=64,c_linestyle=0,thick=4,/overplot
contour,wind,elon,nlat,levels=isoc,/follow,/overplot

;...mark location of peak winds
iwx=where(wind eq max(wind))
elgrid=wind & nlgrid=wind & mnx=n_elements(elon)
for k=0,mnx-1 do begin elgrid(*,k)=elon & nlgrid(k,*)=nlat &endfor
oplot,elgrid(iwx),nlgrid(iwx),psym=1,thick=3
END ;ISOTACHSX.PRO
