;VORT_PLOT.M
xdim=size(zmergx,/dimensions)
in_xdim=xdim(0)-3
xt=elonx(1:*) & xx=xt(0:in_xdim)
yt=nlatx(1:*) & yy=yt(0:in_xdim)

;...compute vorticity here
au=float(zmergx) & av=imaginary(zmergx)
dxm=1000*dxyk & dyn=dxm
atodxf,av,dxm,dxv
atodyf,au,dyn,dyu
vorz=dxv-dyu

;...adjust the vorticity dimensions
vorz=vorz*10^5

;PLOTSETC.M
;...acquire the color table and initialize postscript rendering
set_plot,'Z'
restore,'colors1.idl' & tvlct,red,green,blue
set_plot,'ps',/copy
device,/close
device,xoffset=1,yoffset=3,xsize=20*cos(!pi*gglo/180.),ysize=20,/portrait,/color
!x.range=0 &!y.range=0 & !x.style=1 &!y.style=1
;END PLOTSETC.M

;
device,filename='vor02deg.ps'
ndg=1 
@vor.m
device,/close
;
device,filename='vor04deg.ps'
ndg=2 
@vor.m
device,/close
;
device,filename='vor08deg.ps'
ndg=4 
@vor.m
device,/close
;VORT_PLOT.M
