PRO XYTOLL,xsw,ysw,glon,glat,elo,gglo
compile_opt hidden
on_error,1
if n_params() eq 0 then begin print,'PRO XYTOLL,xsw,ysw,glon,glat,elo,gglo' &return&endif
;initialization
llx=n_elements(xsw) & lly=n_elements(ysw)
glat=fltarr(lly) & glon=fltarr(llx)
rdsequ=6378.4e3 & rdspol=6356.9e3 & rdssph=6378.e3
cgclgg=(rdspol/rdsequ)^2 & crdndg=3.1415926536/180 
gclo=atan(cgclgg*tan(crdndg*gglo)) & fmlo=1/cos(gclo)
cygcl=rdssph/fmlo & cxelo=cygcl*crdndg & crdss2=2*cygcl
xmo=cxelo*elo & yno=cygcl*alog((1+tan(gclo/2))/(1-tan(gclo/2)))
;
;...longitudes from mercator x coordinates
for m=long(0),llx-1 do begin 
xz=xsw(m)+xmo & glon(m)=xz/cxelo & endfor
;
;...latitudes from mercator y coordinates
for n=long(0),lly-1 do begin 
yz=ysw(n)+yno & gcl=2*atan(tanh(yz/crdss2))
glat(n)=atan(tan(gcl)/cgclgg)/crdndg &endfor
END ;XYTOLL.PRO

